#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/soundcard.h>


main (int ac, char **av)
{
  int fd_mixer, vol, v;

  if ((fd_mixer = open ("/dev/mixer", O_RDWR)) < 0) {
    perror ("/dev/mixer");
    exit (1);
  }

  v = atoi(av[1]);
  vol = (v << 8) | v;

  if (ioctl (fd_mixer, SOUND_MIXER_WRITE_VOLUME, &vol)==-1) {
    perror ("ioctl");
  }

  close (fd_mixer);
}
