#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/soundcard.h>

static char *dev_names[] =  SOUND_DEVICE_NAMES;

main (int ac, char **av)
{
  int fd_mixer, mask, i;

  if ((fd_mixer = open ("/dev/mixer", O_RDWR)) < 0) {
    perror ("/dev/mixer");
    exit (1);
  }


  if (ioctl (fd_mixer, SOUND_MIXER_READ_RECSRC, &mask)==-1) {
    perror ("ioctl");
  }

  for (i = 0 ; i < SOUND_MIXER_NRDEVICES ; i++) {
    if (mask & (1 << i)) 
      printf ("Enregistrement sur: %s\n", dev_names[i]);
  }

  close (fd_mixer);
}
