#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/soundcard.h>

main (int ac, char **av)
{
  int fd_mixer, vol;

  if ((fd_mixer = open ("/dev/mixer", O_RDWR)) < 0) {
    perror ("/dev/mixer");
    exit (1);
  }


  if (ioctl (fd_mixer, SOUND_MIXER_READ_VOLUME, &vol)==-1) {
    perror ("ioctl");
  }
  else
    printf ("vol= %d %d\n", vol&255, (vol >> 8)&255);

  close (fd_mixer);
}
